明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1656|回复: 0

在用户坐标系中画圆柱问题?

[复制链接]
发表于 2011-9-6 08:44:00 | 显示全部楼层 |阅读模式
请问,我用vba创建了用户坐标系ucs,但是为什么画出来的圆柱体还在世界坐标系里wcs,谢谢大家。代码如下:
  1. '定义用户坐标系ucs
  2.         Dim ucsObj1 As AcadUCS
  3.         Dim origin1(0 To 2) As Double
  4.         Dim xAxisPnt1(0 To 2) As Double
  5.         Dim yAxisPnt1(0 To 2) As Double
  6.         origin1(0) = X
  7.         origin1(1) = Y
  8.         origin1(2) = Z
  9.         
  10.         xAxisPnt1(0) = l1 + X
  11.         xAxisPnt1(1) = m1 + Y
  12.         xAxisPnt1(2) = n1 + Z
  13.         
  14.         yAxisPnt1(0) = l2 + X
  15.         yAxisPnt1(1) = m2 + Y
  16.         yAxisPnt1(2) = n2 + Z
  17.         
  18.         ' 添加UCS到 UserCoordinatesSystems 集合
  19.         Set ucsObj1 = ThisDrawing.UserCoordinateSystems.Add(origin1, xAxisPnt1, yAxisPnt1, "New_UCS")
  20.         ' 使新的UCS成为活动的UCS
  21.         ThisDrawing.ActiveUCS = ucsObj1
  22.         
  23.         '绘制圆柱体
  24.         Dim cylinderObj As Acad3DSolid
  25.         Dim cylinderCenter(0 To 2) As Double
  26.         Dim cylinderRadius As Double
  27.         Dim cylinderHeight As Double
  28.         cylinderCenter(0) = X
  29.         cylinderCenter(1) = Y
  30.         cylinderCenter(2) = Z
  31.         cylinderRadius = excelSheet.Cells(j, 4).Value
  32.         cylinderHeight = excelSheet.Cells(j, 7).Value
  33.         Set cylinderObj = ThisDrawing.ModelSpace.AddCylinder(cylinderCenter, cylinderRadius, cylinderHeight)
请问各位大侠哪里出了问题?


您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 18:30 , Processed in 0.150366 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表